Bug 24314 - Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019)
Summary: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 24312
Blocks: 24328
  Show dependency treegraph
 
Reported: 2019-12-29 13:47 UTC by Katrin Fischer
Modified: 2020-01-15 23:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019) (63.25 KB, patch)
2019-12-29 13:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019) (63.42 KB, patch)
2019-12-29 20:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019) (63.51 KB, patch)
2020-01-02 11:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-12-29 13:47:14 UTC
This makes the updates from bug 24312 to the de-DE frameworks (see email from Bernardo to the koha-translate mailing list for procedure)
Comment 1 Katrin Fischer 2019-12-29 13:59:45 UTC
Created attachment 96671 [details] [review]
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019)

This updates the MARC framework files in the de-DE (German) installer
to the latest MARC standard. The files also include some translation
changes and fixes.

Files have been generated using the po files on translate.koha-community.org.

To test:
- Run the de-DE installer on a fresh database
- Verify that all files are installed without errors
- Verify that the frameworks are correctly in place
Comment 2 Bernardo Gonzalez Kriegel 2019-12-29 20:03:14 UTC
Hi Katrin,
trying a fresh install, some messages but not related with this patch

auth_val.sql
[Sun Dec 29 16:56:43 2019] install.pl: DBD::mysql::st execute failed: Cannot add or update a child row: a foreign key constraint fails (`koha`.`authorised_values`, CONSTRAINT `authorised_values_authorised_values_category` FOREIGN KEY (`category`) REFERENCES `authorised_value_categories` (`category_name`) ON DELETE CASCADE ON U) at /usr/share/perl5/DBIx/RunSQL.pm line 273.


sample_patrons.sql
[Sun Dec 29 16:56:49 2019] install.pl: DBD::mysql::st execute failed: Unknown column 'guarantorid' in 'field list' at /usr/share/perl5/DBIx/RunSQL.pm line 273.

Have you seen this messages?
I did an update/install on de-DE files, then german install over a clean database.

Patch is good, all marc21 files load without problem.
Comment 3 Bernardo Gonzalez Kriegel 2019-12-29 20:06:08 UTC
Created attachment 96676 [details] [review]
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019)

This updates the MARC framework files in the de-DE (German) installer
to the latest MARC standard. The files also include some translation
changes and fixes.

Files have been generated using the po files on translate.koha-community.org.

To test:
- Run the de-DE installer on a fresh database
- Verify that all files are installed without errors
- Verify that the frameworks are correctly in place

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
MARC21 files load without problems, no qa errors.
Loaded into 'en' install (delete fw then load) all frameworks look good.
Comment 4 Katrin Fischer 2019-12-29 22:24:57 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #2)
> Hi Katrin,
> trying a fresh install, some messages but not related with this patch
> 
> auth_val.sql
> [Sun Dec 29 16:56:43 2019] install.pl: DBD::mysql::st execute failed: Cannot
> add or update a child row: a foreign key constraint fails
> (`koha`.`authorised_values`, CONSTRAINT
> `authorised_values_authorised_values_category` FOREIGN KEY (`category`)
> REFERENCES `authorised_value_categories` (`category_name`) ON DELETE CASCADE
> ON U) at /usr/share/perl5/DBIx/RunSQL.pm line 273.
> 
> 
> sample_patrons.sql
> [Sun Dec 29 16:56:49 2019] install.pl: DBD::mysql::st execute failed:
> Unknown column 'guarantorid' in 'field list' at
> /usr/share/perl5/DBIx/RunSQL.pm line 273.
> 
> Have you seen this messages?
> I did an update/install on de-DE files, then german install over a clean
> database.
> 
> Patch is good, all marc21 files load without problem.

Thx Bernardo! Fixing the first with bug 24316, looking into the patrons next.
Comment 5 Katrin Fischer 2019-12-29 22:31:34 UTC
... and filed bug 24317 for the problem with the sample patrons. :(
Comment 6 Jonathan Druart 2020-01-02 11:51:28 UTC
authorities_normal_marc21.sql - Still getting
DBD::mysql::st execute failed: Incorrect integer value: '' for column `koha_kohadev`.`auth_subfield_structure`.`linkid` at row 34 at /usr/share/perl5/DBIx/RunSQL.pm line 273. 

But not related to this patch.
Comment 7 Jonathan Druart 2020-01-02 11:51:53 UTC
Created attachment 96734 [details] [review]
Bug 24314: Update de-DE MARC21 frameworks for updates 28+29 (May and November 2019)

This updates the MARC framework files in the de-DE (German) installer
to the latest MARC standard. The files also include some translation
changes and fixes.

Files have been generated using the po files on translate.koha-community.org.

To test:
- Run the de-DE installer on a fresh database
- Verify that all files are installed without errors
- Verify that the frameworks are correctly in place

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
MARC21 files load without problems, no qa errors.
Loaded into 'en' install (delete fw then load) all frameworks look good.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2020-01-02 12:19:12 UTC
(In reply to Jonathan Druart from comment #6)
> authorities_normal_marc21.sql - Still getting
> DBD::mysql::st execute failed: Incorrect integer value: '' for column
> `koha_kohadev`.`auth_subfield_structure`.`linkid` at row 34 at
> /usr/share/perl5/DBIx/RunSQL.pm line 273. 
> 
> But not related to this patch.

See bug 24328.
Comment 9 Martin Renvoize 2020-01-03 16:26:36 UTC
Waiting on PQA on bug 24312
Comment 10 Martin Renvoize 2020-01-07 15:55:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-01-14 01:10:16 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 12 Lucas Gass 2020-01-15 23:03:05 UTC
backported to 19.05.x for 19.05.07
Comment 13 Hayley Mapley 2020-01-15 23:57:21 UTC
Enhancement will not be backported to 18.11.x series.